Bug 1270697 - Using oc run '--dry-run=true' option, the result should not tell the object is "created"
Using oc run '--dry-run=true' option, the result should not tell the object i...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
3.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: dhodovsk
Xingxing Xia
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 03:51 EDT by Xingxing Xia
Modified: 2017-05-30 08:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-30 08:48:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xingxing Xia 2015-10-12 03:51:20 EDT
Description of problem:
Using oc run '--dry-run=true' option, the result should not tell the object is "created"

Version-Release number of selected component (if applicable):
openshift/oc v1.0.6-519-g86b63be
kubernetes v1.1.0-alpha.1-653-g86b4e77

How reproducible:
Always

Steps to Reproduce:
1. Star openshift
2. oc login, create a project and run:
$ oc run mysql --image=mysql --dry-run=true

Actual results:
2.
deploymentconfig "mysql" created

Expected results:
2. Should only print the object that would be sent, but should not tell "created"


Additional info:
Comment 1 dhodovsk 2016-06-29 03:14:40 EDT
fix provided in:
https://github.com/kubernetes/kubernetes/pull/28206
Comment 2 dhodovsk 2016-07-22 03:55:01 EDT
Actually fixed and merged in https://github.com/kubernetes/kubernetes/pull/28606
Comment 3 Xingxing Xia 2016-07-25 05:11:13 EDT
Tested with the oc in latest AMI devenv-rhel7_4656:
$ oc version
oc v1.3.0-alpha.2+5c862c0
kubernetes v1.3.0+57fb9ac
features: Basic-Auth GSSAPI Kerberos SPNEGO

Still got the actual result in comment 0.
Checked that it seems the PR is not picked into oc.
Comment 4 dhodovsk 2016-12-12 07:43:32 EST
Please test this on oc v1.4.0 or later version
Comment 5 Xingxing Xia 2016-12-13 04:39:25 EST
Verified in version:
$ oc version
oc v1.5.0-alpha.0+2701506-347
kubernetes v1.4.0+776c994
features: Basic-Auth GSSAPI Kerberos SPNEGO

With --dry-run, now no message "deploymentconfig "mysql" created":
oc run mysql --image=mysql --dry-run=true
NAME      REVISION   DESIRED   CURRENT   TRIGGERED BY
mysql     0          1         0

So move to VERIFIED

Note You need to log in before you can comment on or make changes to this bug.